> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/data-access/schema/score.md).

# Models: Scores

scores - object

A score represents any form of credit score

There is a chance a bureau will not return a score and instead return a rejection with a reason. If this happens you'll see a score of 0.

## Fields

***

`scores.id` - `UUID!` `non-null`

A globally-unique identifier.

***

`scores.value` - `Int!` `non-null`

The numerical value of the Score.

***

`scores.model` - [`ScoreModel!`](/reference/data-access/schema/model-scores.md) `non-null`

The model used to determine what the value of the Credit Score means.

***

`scores.score_reasons` - [`[ScoreReason!]!`](/reference/data-access/schema/reasons.md) `non-null`

The reasons behind why a certain Credit Score was returned.

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/data-access/schema/score.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
